package com.ruoyi.abuwx.mapper;

import java.util.List;
import com.ruoyi.abuwx.domain.BannerInfo;

/**
 * 轮播图管理Mapper接口
 * 
 * @author lujie
 * @date 2024-12-26
 */
public interface BannerInfoMapper 
{
    /**
     * 查询轮播图管理
     * 
     * @param id 轮播图管理主键
     * @return 轮播图管理
     */
    public BannerInfo selectBannerInfoById(Long id);

    /**
     * 查询轮播图管理列表
     * 
     * @param bannerInfo 轮播图管理
     * @return 轮播图管理集合
     */
    public List<BannerInfo> selectBannerInfoList(BannerInfo bannerInfo);

    /**
     * 新增轮播图管理
     * 
     * @param bannerInfo 轮播图管理
     * @return 结果
     */
    public int insertBannerInfo(BannerInfo bannerInfo);

    /**
     * 修改轮播图管理
     * 
     * @param bannerInfo 轮播图管理
     * @return 结果
     */
    public int updateBannerInfo(BannerInfo bannerInfo);

    /**
     * 删除轮播图管理
     * 
     * @param id 轮播图管理主键
     * @return 结果
     */
    public int deleteBannerInfoById(Long id);

    /**
     * 批量删除轮播图管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBannerInfoByIds(Long[] ids);
}
